interface IReversable
{
    // Zu implementierende Eigenschaft
    // soll anzeigen, ob das Objekt in Originalreihenfolge
    // oder in umgekehrter Reihenfolge vorliegt
    bool Reversed
    {
        get;
        set;
    }

    // Zu implementierende Methode
    // kehrt das Objekt um und liefert das Original als Ergebnis zurück
    object Reverse();
}
